%if 0%{?fedora}
%global check_links 1
%else
%global check_links 0
%endif

%{!?__python_ver:%global __python_ver 3}

%if "%{__python_ver}" != "EMPTY"
%global main_python 0
%global python python%{__python_ver}
%else
%global main_python 1
%global python python
%endif

%define pybasever 3.5

Summary: Documentation for the Python 3 programming language
Name: %{python}-docs
# The Version needs to be in-sync with the "python" package:
Version: %{pybasever}.2
Release: 1%{?dist}
License: Python
Group: Documentation
Source: https://www.python.org/ftp/python/%{version}/Python-%{version}.tar.xz
BuildArch: noarch

Requires: %{python} = %{version}

BuildRequires: %{python}
BuildRequires: %{python}-sphinx
BuildRequires: %{python}-docutils
BuildRequires: %{python}-pygments

%if %{check_links}
BuildRequires: linkchecker
%endif

URL: http://www.python.org/

%description
The python3-docs package contains documentation on the Python 3
programming language and interpreter.

Install the python3-docs package if you'd like to use the documentation
for the Python 3 language.

%prep
%setup -q -n Python-%{version}

%build
make -C Doc html SPHINXBUILD=sphinx-build-3 PYTHON=%{python}
rm Doc/build/html/.buildinfo

%install
mkdir -p $RPM_BUILD_ROOT

%check
# Verify that all of the local links work (see rhbz#670493 - doesn't apply
# to python3-docs, but only to older python-docs)
#
# (we can't check network links, as we shouldn't be making network connections
# within a build.  Also, don't bother checking the .txt source files; some
# contain example URLs, which don't work)
%if %{check_links}
linkchecker \
  --ignore-url=^mailto: --ignore-url=^http --ignore-url=^ftp \
  --ignore-url=.txt\$ \
  Doc/build/html/index.html
%endif

%files
%doc Misc/NEWS Misc/HISTORY Misc/README Doc/build/html

%changelog
* Mon Aug 22 2016 Tomas Orsava <torsava@redhat.com> - 3.5.2-1
- Update to current version
- Removed use-classic-theme.patch as it was no longer necessary

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Dec 14 2015 Robert Kuska <rkuska@redhat.com> - 3.5.1-1
- Update to current version

* Mon Nov 16 2015 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 3.5.0-1
- Update to current version

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.4.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Apr 15 2015 Matej Stuchlik <mstuchli@redhat.com> - 3.4.3-1
- Rebuild for Python 3.4.3

* Tue Nov 18 2014 Matej Stuchlik <mstuchli@redhat.com> - 3.4.2-1
- Rebuilt for Python 3.4.2

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu May 29 2014 Bohuslav Kabrda <bkabrda@redhat.com> - 3.4.1-1
- Rebuilt for Python 3.4.1

* Mon Sep 16 2013 Bohuslav Kabrda <bkabrda@redhat.com> - 3.3.2-2
- Patch docs build to use locally installed python3-sphinx.

* Wed Sep 04 2013 Bohuslav Kabrda <bkabrda@redhat.com> - 3.3.2-1
- Initial package, spec adapted from python-docs.
